curl --request GET \
--url https://api.example.com/cabinet/admin/landings/{landing_id}/purchases \
--header 'Authorization: Bearer <token>'{
"items": [
{
"id": 123,
"token": "<string>",
"contact_type": "<string>",
"contact_value": "<string>",
"is_gift": true,
"period_days": 123,
"amount_kopeks": 123,
"currency": "<string>",
"status": "<string>",
"gift_recipient_type": "<string>",
"gift_recipient_value": "<string>",
"tariff_name": "<string>",
"payment_method": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"paid_at": "2023-11-07T05:31:56Z"
}
],
"total": 123
}Get paginated list of purchases for a landing page.
curl --request GET \
--url https://api.example.com/cabinet/admin/landings/{landing_id}/purchases \
--header 'Authorization: Bearer <token>'{
"items": [
{
"id": 123,
"token": "<string>",
"contact_type": "<string>",
"contact_value": "<string>",
"is_gift": true,
"period_days": 123,
"amount_kopeks": 123,
"currency": "<string>",
"status": "<string>",
"gift_recipient_type": "<string>",
"gift_recipient_value": "<string>",
"tariff_name": "<string>",
"payment_method": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"paid_at": "2023-11-07T05:31:56Z"
}
],
"total": 123
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
x >= 01 <= x <= 100pending, paid, delivered, pending_activation, failed, expired